## ros-indigo-libuvc-camera 0.0.7

=== CMakeLists.txt ===
# http://ros.org/doc/groovy/api/catkin/html/user_guide/supposed.html
cmake_minimum_required(VERSION 2.8.3)
project(libuvc_camera)
# Load catkin and all dependencies required for this package
find_package(catkin REQUIRED COMPONENTS roscpp camera_info_manager dynamic_reconfigure image_transport nodelet sensor_msgs)

generate_dynamic_reconfigure_options(cfg/UVCCamera.cfg)

find_package(libuvc REQUIRED)

catkin_package(
  CATKIN_DEPENDS
    roscpp
    camera_info_manager
    dynamic_reconfigure
    image_transport
    nodelet
    sensor_msgs
  LIBRARIES libuvc_camera_nodelet
  )

include_directories(include ${Boost_INCLUDE_DIR} ${catkin_INCLUDE_DIRS} ${libuvc_INCLUDE_DIRS})
link_directories(${catkin_LINK_DIRS})

find_package(Boost REQUIRED COMPONENTS thread)
include_directories(${Boost_INCLUDE_DIRS})

add_executable(camera_node src/main.cpp src/camera_driver.cpp)
target_link_libraries(camera_node ${Boost_LIBRARIES} ${catkin_LIBRARIES} ${libuvc_LIBRARIES})
add_dependencies(camera_node ${PROJECT_NAME}_gencfg)

add_library(libuvc_camera_nodelet src/nodelet.cpp src/camera_driver.cpp)
add_dependencies(libuvc_camera_nodelet ${libuvc_camera_EXPORTED_TARGETS})
target_link_libraries(libuvc_camera_nodelet ${Boost_LIBRARIES} ${catkin_LIBRARIES} ${libuvc_LIBRARIES})
add_dependencies(libuvc_camera_nodelet ${PROJECT_NAME}_gencfg)

install(TARGETS camera_node libuvc_camera_nodelet
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
  )

install(FILES libuvc_camera_nodelet.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  )

=== debian/changelog ===
ros-indigo-libuvc-camera (0.0.7-0trusty) trusty; urgency=high

  * Removed dependency on the deprecated driver_base package.
  * Added more informative error messages in the case of uvc_open() failure

 -- Ken Tossell <ken@tossell.net>  Thu, 06 Mar 2014 05:00:00 -0000

ros-indigo-libuvc-camera (0.0.6-0trusty) trusty; urgency=high

  * Install libuvc_camera_nodelet.xml

 -- Ken Tossell <ken@tossell.net>  Thu, 19 Dec 2013 05:00:00 -0000

ros-indigo-libuvc-camera (0.0.5-0trusty) trusty; urgency=high

  * Fixed missing timestamp and frame_id in camera_info and image_raw
  * Install camera_node into the package's bin path, not ros-global bin.

 -- Ken Tossell <ken@tossell.net>  Fri, 04 Oct 2013 04:00:00 -0000

ros-indigo-libuvc-camera (0.0.4-0trusty) trusty; urgency=high

  * Added libuvc_ in libuvc_camera_nodelet

 -- Ken Tossell <ken@tossell.net>  Mon, 23 Sep 2013 04:00:00 -0000

ros-indigo-libuvc-camera (0.0.3-0trusty) trusty; urgency=high

  * add an explicit dependency on generated files in CMake
    This will make sure that the generated headers are build before they are compiled.

 -- Ken Tossell <ken@tossell.net>  Mon, 23 Sep 2013 04:00:00 -0000

ros-indigo-libuvc-camera (0.0.2-0trusty) trusty; urgency=high

  * libuvc_camera now uses the libuvc cmake config script
  * Fixed PACKAGE reference.
  * Removed roslib setup code from UVCCamera.cfg.

 -- Ken Tossell <ken@tossell.net>  Mon, 12 Aug 2013 04:00:00 -0000

ros-indigo-libuvc-camera (0.0.1-0trusty) trusty; urgency=high



 -- Ken Tossell <ken@tossell.net>  Thu, 01 Aug 2013 04:00:00 -0000

ros-indigo-libuvc-camera (0.0.0-0trusty) trusty; urgency=high

  * fixed dependencies and nodelet export
  * adding missing catkin files
  * catkin build
  * License blocks
  * added parameter for timestamping method
  * added video format param. set min=0 for unsigned int params
  * Added libuvc_camera nodelet
  * reset driver state after closing uvc context
  * forgot to uvc_exit(ctx) -- driver now closes on sigint
  * update manifests
  * use camera_info_manager for a real CameraInfo
  * initial use of auto-update controls
    The user can change AE mode, and the camera auto-updates
    absolute exposure time and white balance temperature, which
    are sent on to dynamic_reconfigure clients.
  * fix rgb_frame_ leak
  * beginning of driver with controls, dyn_reconf, caminfo
  * added parameters ~vendor, ~product, ~serial_num
    ~vendor and ~product should be 0xhexadecimal. ~serial_num
    can be any string.
  * added -luvc
  * sample ROS driver using libuvc

 -- Ken Tossell <ken@tossell.net>  Thu, 27 Jun 2013 04:00:00 -0000

=== debian/control ===
Source: ros-indigo-libuvc-camera
Section: misc
Priority: extra
Maintainer: Ken Tossell <ken@tossell.net>
Build-Depends: debhelper (>= 7.0.50~), ros-indigo-camera-info-manager, ros-indigo-catkin, ros-indigo-dynamic-reconfigure, ros-indigo-image-transport, ros-indigo-libuvc, ros-indigo-nodelet, ros-indigo-roscpp, ros-indigo-sensor-msgs
Homepage: http://ros.org/wiki/libuvc_camera
Standards-Version: 3.9.2

Package: ros-indigo-libuvc-camera
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-camera-info-manager, ros-indigo-dynamic-reconfigure, ros-indigo-image-transport, ros-indigo-libuvc, ros-indigo-nodelet, ros-indigo-roscpp, ros-indigo-sensor-msgs
Description: USB Video Class camera driver

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-libuvc-camera//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
